{
  "compilerOptions": {
    "esModuleInterop": true,
    "lib": ["es2020"],
    "module": "NodeNext",
    "preserveConstEnums": true,
    "moduleResolution": "NodeNext",
    "strict": false,
    "strictNullChecks": false,
    "sourceMap": true,
    "target": "es2022",
    "types": ["node", "express", "jest", "@types/jest"],
    "outDir": "dist",
    "rootDir": ".",
    "baseUrl": ".",
    "skipLibCheck": true,
    "paths": {},
    "resolveJsonModule": true,
    "allowJs": true
  },
  "include": [
    "src/**/*",
    "**/*.ts",
    "*.ts",
    "types.d.ts",
    "**/*.md",
    "**/*.json",
    "**/*.pem",
    "**/*.txt"
  ],
  "exclude": ["node_modules", "dist", "**/*.test.ts", "*.test.ts", "**/*.spec.ts", "**/__tests__/*"]
}
